@echo off
REM Create Folderlist Autodesk Powerusers Rev2
REM -
REM This file creates Pre-installation folders for deployment
REM of AutoDesk Inventor and Mechanical
REM and sets FULL rights on BUILTIN\Power User account and sets
REM owner to BUILTIN\Administrators group
REM Author, Henrik Andersen, Cadcraft
REM -
REM icacls <folderpath>  /grant:r "users":(oi)(ci)F /t
REM icacls <folderpath>  /grant:r "power users":(oi)(ci)F /t
REM icacls <folderpath> /setowner "builtin\administrators" /t
REM -



:: --------------------------------------------------------------------
SET SESSION=ONE 
Set SourceDir="C:\RoroWF" 
goto SETFOLDERRIGHTS
:ONE
:: --------------------------------------------------------------------


:: --------------------------------------------------------------------
SET SESSION=TWO 
Set SourceDir="%ProgramData%\Autodesk\Vault 2017\Extensions\iToolsVaultExplorer"
goto SETFOLDERRIGHTS
:TWO
:: --------------------------------------------------------------------


:: --------------------------------------------------------------------
SET SESSION=THREE
Set SourceDir="%ProgramData%\Autodesk\Vault 2017\Extensions\DataStandard"
goto SETFOLDERRIGHTS
:THREE
:: --------------------------------------------------------------------

SET SESSION=FOUR 
Set SourceDir="C:\ProgramConfig"
goto SETFOLDERRIGHTS
:FOUR
:: --------------------------------------------------------------------


goto END


:SETFOLDERRIGHTS
echo --------------------------------------------------------------------
echo (1/2) Creating folder structures ...  %SourceDir%
mkdir %SourceDir%
echo --------------------------------------------------------------------
echo (2/2) Setting folder rights...  %SourceDir%
echo --------------------------------------------------------------------
icacls  %SourceDir%  /reset /t 
::icacls  %SourceDir% /setowner "builtin\administrators" /t 
icacls  %SourceDir%   /grant:r  "Anvndare":(oi)(ci)F  "Privilegierade anvndare":(oi)(ci)F /t
icacls  %SourceDir%  /grant:r "users":(oi)(ci)F "power users":(oi)(ci)F /t

goto %SESSION%

:END
echo --------------------------------------------------------------------

echo Script completed! 

